/************************************************************************************
*************************************************************************************
*secs.h: 
* Contains data struct and prototypes of functions in secs.c
*Copyright (c) 2011 by Manu Dhundi. All rights reserved.
*
*************************************************************************************
************************************************************************************/
#include "sece_config.h" /* For any config parameters */

#ifdef __cplusplus
	extern "C" {
#endif


typedef struct{
	char serviceName[SERVICENAMEMAXLEN];
	char serviceType[SERVICETYPEMAXLEN];
	char serviceIP[IPADDRMAXLEN];
	char hostName[IPADDRMAXLEN];
	char port[PORTLEN];
	char serviceDescription[SERVICEDESCRIPTIONMAXLEN];
	int serviceAddFlag;
}serviceInfoStruct;



/***************************************************************************
* secsInit()
*
*
***************************************************************************/
int secsInit(void);

/***************************************************************************
* secsSendServices()
* SECE Explorer application makes this call to send the services discovered to the server
*
***************************************************************************/
int secsSendServices(serviceInfoStruct* service, int serviceCount);

#ifdef __cplusplus
    }
#endif /*__cplusplus*/
