/************************************************************************************
*************************************************************************************
*utilities.c: 
*Contains the utility functions that are needed or might be needed in the future.
*Different modules in the sece explorer can use this. Prevents duplication of utility functions across
*modules and also prevents unnecessary dependancies between the modules
*
*Copyright (c) 2011 by Manu Dhundi. All rights reserved.
*
*************************************************************************************
************************************************************************************/
#include "utilities.h" 

/***************************************************************************
* mystrcopy()
* This returns the last location of the destination. Very handy when u want
* to copy multiple strings to a destination buffer
*
***************************************************************************/
char* mystrcopy(char* dest, char* src)
{
	while(*src)
	{
		*(dest) = *(src);
		src++;
		dest++;
	}
	*dest = '\0';
	return dest;
}
