/************************************************************************************
*************************************************************************************
*avahidiscover.h
*Contains data structures and prototypes of functions in avahidiscover.c
*
*Copyright (c) 2011 by Manu Dhundi. All rights reserved.
*
*************************************************************************************
************************************************************************************/
#include "sece_config.h" /* For any config parameters */

#ifdef __cplusplus
	extern "C" {
#endif

typedef struct serviceDiscoveryStruct{
	char serviceName[SERVICENAMEMAXLEN];
	char serviceType[SERVICETYPEMAXLEN];
	char serviceIP[IPADDRMAXLEN];
	char hostName[IPADDRMAXLEN];
	char port[PORTLEN];
	char serviceDescription[SERVICEDESCRIPTIONMAXLEN];
	int serviceAddFlag;
	struct serviceDiscoveryStruct *pNext;
}serviceDiscoveryStruct;

typedef int(*sdwCallback)(serviceDiscoveryStruct*);

/***************************************************************************
* sdwInit()
*
*
***************************************************************************/
int sdwInit(sdwCallback cbkPtr);

#ifdef __cplusplus
  }
#endif /*__cplusplus*/
