/************************************************************************************
*************************************************************************************
*http.h: 
* Contains data structures and prototypes of functions in http.c
*
*Copyright (c) 2011 by Manu Dhundi. All rights reserved.
*
*************************************************************************************
************************************************************************************/

#ifdef __cplusplus
	extern "C" {
#endif

typedef enum {
	eHTTP_PUT = 1,
	eHTTP_POST
}sendMethod;

/***************************************************************************
* httpInit()
*
*
***************************************************************************/
void httpInit(void);

/***************************************************************************
* httpSend()
*
*
***************************************************************************/
int httpSend(sendMethod eSendType, char *payLoad);

#ifdef __cplusplus
  }
#endif /*__cplusplus*/
